package com.caimei365.user.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * Description
 *
 * @author : plf
 * @date : 2021/4/22
 */
@ApiModel("呵呵小程序登录")
@Data
public class HeHeUserDto {
    /**
     * 手机号
     */
    @NotNull
    @ApiModelProperty("手机号")
    private String mobile;

    /**
     * 验证码
     */
    @NotNull
    @ApiModelProperty("验证码")
    private String verificationCode;

    /**
     * 微信昵称
     */
    @NotNull
    @ApiModelProperty("微信昵称")
    private String nickName;

    /**
     * 微信头像
     */
    @NotNull
    @ApiModelProperty("微信头像")
    private String headImgUrl;

    /**
     * 微信openid
     */
    @NotNull
    @ApiModelProperty("微信openid")
    private String openId;
}
